compiz crashes with segfault error in libnux-graphics

Bug #1311503 reported by Kim d'Audretsch on 2014-04-23
48
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Nux
Invalid
Undecided
Unassigned
nux (Ubuntu)
Undecided
Unassigned

Bug Description

When I login compiz crashes with a segfault error in libnux-graphics. My screen turns blue (with nouveau driver) or with white blocks (nvidia current driver). In dmesg the following messages are shown:

[ 808.965220] compiz[7568]: segfault at b0 ip 00007f9246244a0f sp 00007fff0a7a1450 error 4 in libnux-graphics-4.0.so.0.6.0[7f92461f8000+cb000]
[ 813.851368] compiz[7722]: segfault at b0 ip 00007f34215bca0f sp 00007fffe2e356d0 error 4 in libnux-graphics-4.0.so.0.6.0[7f3421570000+cb000]

I only get this error with my Nvidia GTX 460 card. I do not get these errors with my radeon and intel video cards (my other pc and laptop). All running latest Trusty 14.04.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nux (Ubuntu):
status: New → Confirmed
Kim d'Audretsch (kimda) wrote :

I've upgraded to 14.10 which doesn't have these problems.

Marco Re (mrc-re) wrote :

I've got the same issues now on 15.04 after last updates (it was working well on 15.04 last week)

uname -a

3.19.0-28-generic #30-Ubuntu SMP Mon Aug 31 15:52:51 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

 sudo lspci -vnn | grep VGA

00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])

and dmesg:

Sep 9 14:38:13 kernel: [ 20.514832] compiz[4096]: segfault at b0 ip 00007f6ba417bb03 sp 00007fff74da4200 error 4 in libnux-graphics-4.0.so.0.7.0[7f6ba412e000+d1000]

I must switch to gnome-shell to use my laptop

Changed in nux:
status: New → Confirmed
episteme (jamiebrowning) wrote :

I had the same problem however I traced it down to a faulty upgrade (via apt) of libgdk-pixbuf2.0, which was causing a segfault in compiz.

sudo apt-get install --reinstall libgdk-pixbuf-2.0-0 resolved the issue for me.

Hope that helps.

Marco Re (mrc-re) wrote :

Thank you episteme !
Your suggestion solved the issue also for me

Andrea Azzarone (azzar1) wrote :

Closing.

Changed in nux:
status: Confirmed → Invalid
Changed in nux (Ubuntu):
status: Confirmed → Invalid

I had the same problem after updating today my desktop (Zotac CI-320) on 14.04 LTS

carlos@nano:~$ uname -a
Linux nano 3.16.0-48-generic #64~14.04.1-Ubuntu SMP Thu Aug 20 23:03:57 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

[Dom Out 25 11:35:57 2015] compiz[3061]: segfault at b0 ip 00007f1abf950a0f sp 00007fff24ca26e0 error 4 in libnux-graphics-4.0.so.0.6.0[7f1abf904000+cb000]
[Dom Out 25 11:36:28 2015] compiz[4050]: segfault at b0 ip 00007f579752ca0f sp 00007fffc7a408d0 error 4 in libnux-graphics-4.0.so.0.6.0[7f57974e0000+cb000]
[Dom Out 25 11:37:05 2015] compiz[5022]: segfault at b0 ip 00007f1dcc5d6a0f sp 00007fff4c6236b0 error 4 in libnux-graphics-4.0.so.0.6.0[7f1dcc58a000+cb000]

After installing libgdk-pixbuf2.0 (whis wasn't installed) , the problem was fixed.

Thanks episteme !!!

Oct 25 11:43:00 2015 from 192.168.1.65
carlos@nano:~$ sudo apt-get install libgdk-pixbuf2.0

La Luz (pedro-j6) wrote :

Today I had the same issue with 16.04 and installing that package solved it

WHK (yan-uniko-102) wrote :

Same problem detected on last upgrade of libnux-graphics for ubuntu 16.04 using nvidia-384 on 2018-01-16 at 23:30:00 -4

Thanks to episteme (jamiebrowning) solve my problem with reinstall libgdk-pixbuf

root@machine:~# apt list --installed | grep libgdk

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

libgdk-pixbuf2.0-0/xenial-updates,xenial-security,now 2.32.2-1ubuntu1.4 amd64 [instalado]
libgdk-pixbuf2.0-common/xenial-updates,xenial-updates,xenial-security,xenial-security,now 2.32.2-1ubuntu1.4 all [instalado]
libgdk-pixbuf2.0-common/xenial-updates,xenial-security,now 2.32.2-1ubuntu1.4 amd64 [instalado, automático]

root@machine:~# apt-get -y reinstall libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgdk-pixbuf2.0-common && reboot

And works fine :D

James Deck (shutterace) wrote :

Echoing WHK's comment.

"apt-get -y reinstall libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgdk-pixbuf2.0-common && reboot" solved the problem.

uname
Linux fcs-server 4.4.0-112-generic #135~14.04.1-Ubuntu SMP Tue Jan 23 20:41:48 U

lspci
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Caicos XT [Radeon HD 7470/8470 / R5 235/310 OEM] [1002:6778] (prog-if 00 [VGA controller])

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers